## org.apache.xerces.impl.xs
Class XMLSchemaValidator.KeyValueStore

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.XMLSchemaValidator.ValueStoreBase
            |
            +--org.apache.xerces.impl.xs.XMLSchemaValidator.KeyValueStore

All Implemented Interfaces:
  ValueStore

Enclosing class:
  XMLSchemaValidator

protected class XMLSchemaValidator.KeyValueStore
extends XMLSchemaValidator.ValueStoreBase

Key value store.

Author:
  Andy Clark, IBM

Fields inherited from class org.apache.xerces.impl.xs.XMLSchemaValidator.ValueStoreBase
`fFieldCount, fFields, fIdentityConstraint, fLocalValues, fValues, fValuesCount`

Constructor Summary
`XMLSchemaValidator.KeyValueStore(UniqueOrKey key)` Constructs a key value store.

Method Summary
`protected void` `checkDuplicateValues()` Called when a duplicate value is added.

Methods inherited from class org.apache.xerces.impl.xs.XMLSchemaValidator.ValueStoreBase
`addValue, append, clear, contains, contains, endDocument, endDocumentFragment, endValueScope, reportError, startValueScope, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLSchemaValidator.KeyValueStore

    public XMLSchemaValidator.KeyValueStore(UniqueOrKey key)

  Constructs a key value store.

Method Detail

### checkDuplicateValues

    protected void checkDuplicateValues()

  Called when a duplicate value is added.
  Overrides:
    `checkDuplicateValues` in class `XMLSchemaValidator.ValueStoreBase`
  Parameters:
    `tuple` - The duplicate value tuple.

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.